Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.plugins.quality
[Groovy] Class PmdExtension

    java.lang.Object
      org.gradle.api.plugins.quality.CodeQualityExtension
          org.gradle.api.plugins.quality.PmdExtension

    class PmdExtension
    extends CodeQualityExtension

Configuration options for the PMD plugin.

See Also:
  PmdPlugin

Property Summary
`FileCollection` | `ruleSetFiles` The custom rule set files to be used.
`List` | `ruleSets` The built-in rule sets to be used.
`TargetJdk` | `targetJdk` The target jdk to use with pmd, 1.3, 1.4, 1.5, 1.6, 1.7 or jsp

Constructor Summary
`PmdExtension(Project project)`

Method Summary
`void` | `ruleSetFiles(Object... ruleSetFiles)` Convenience method for adding rule set files.
`void` | `ruleSets(String... ruleSets)` Convenience method for adding rule sets.
`void` | `setTargetJdk(def value)` Sets the target jdk used with pmd.

Property Detail

### ruleSetFiles

    FileCollection ruleSetFiles

  The custom rule set files to be used. See the official documentation for how to author a rule set file. Example: ruleSetFiles = files("config/pmd/myRuleSet.xml")

### ruleSets

    List ruleSets

  The built-in rule sets to be used. See the official list of built-in rule sets. Example: ruleSets = ["basic", "braces"]

### targetJdk

    TargetJdk targetJdk

  The target jdk to use with pmd, 1.3, 1.4, 1.5, 1.6, 1.7 or jsp

Constructor Detail

### PmdExtension

    PmdExtension(Project project)

Method Detail

### ruleSetFiles

    void ruleSetFiles(Object... ruleSetFiles)

  Convenience method for adding rule set files. Example: ruleSetFiles "config/pmd/myRuleSet.xml"
  Parameters:
    `ruleSetFiles` - the rule set files to be added

### ruleSets

    void ruleSets(String... ruleSets)

  Convenience method for adding rule sets. Example: ruleSets "basic", "braces"
  Parameters:
    `ruleSets` - the rule sets to be added

### setTargetJdk

    void setTargetJdk(def value)

  Sets the target jdk used with pmd.
  value:
    The value for the target jdk as defined by TargetJdk#toVersion(Object)#toVersion(Object)

Gradle API 1.10